Subject: Re: bug#19064: bug#17272: bug#19064: 25.0.50; `message' overwrites `y-or-n-p' prompt, so user misses it

From: Michael Heerdegen <[email-masked]>
Date: Thu, 14 Nov 2019 18:06:57 +0100

Drew Adams <[email-masked]> writes:

> My reply was that input is in the minibuffer,
> and both `message' and `y-or-n-p' write to the
> echo area (or at least they both did), so I
> can't imagine how minibuffer input is lost or
> "permanently hidden".

Ah, ok.  I think the posters just confused minibuffer and echo area for
the case of y-or-n-p then (at least did I).

> > > Can someone please confirm that that's not the case?
> >
> > I think Juri did that.
>
> I didn't think so - not explicitly.  He confirmed
> your "AFAICT only the behavior..." description, but
> also your statement that "`y-or-n-p' has been
> reimplemented to use read-from-minibuffer instead of
> read-key" statement. (Or perhaps just one of those?)
>
> There are mentions in this thread (and others?) of
> `minibuffer-message' being used in place of `message'
> when the minibuffer is active.

Yes - in the reported situations, not generally...maybe someone could
send Drew an accumulated diff of all changes or so?

> And I disagreed that `y-or-n-p' should read from
> the minibuffer instead of reading a key.

I guess this can be debated - I don't have an opinion so far.

Michael.